%define name mmail
%define version 0.47
%define release %mkrel 1


Name:		%{name}
Summary:	MultiMail Offline Mailer Reader
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Networking/Mail
URL:		http://multimail.sourceforge.net/
Source:		%{name}-%{version}.tar.bz2
Patch:		%{name}-0.47.patch
BuildRequires:  ncurses-devel
BuildRoot:	%{_tmppath}/%{name}-buildroot

Conflicts:       mirror

%description
MultiMail is an offline mail packet reader for Unix and other systems.
(This version also compiles under MSDOS, with DJGPP; OS/2, with EMX; and
Win32, with RSX/NT.) It currently supports the Blue Wave and QWK formats.
It has a full screen, color user interface, built with the curses library.


%prep
%setup -q
%patch -p1


%build
PREFIX=%{buildroot}%{_prefix}
export PREFIX
export RPM_OPT_FLAGS

make


%install
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_mandir}/man1

PREFIX=%{buildroot}%{_prefix}
export PREFIX
HELPDIR=%{buildroot}%{_mandir}/man1
export HELPDIR

make install

# fix attributes of docs
chmod -R a+rX $RPM_BUILD_DIR/%{name}-%{version}/{COPYING,HISTORY,INSTALL,README,TODO,FAQ,colors}

%clean
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR/%{name}-%{version}


%files
%defattr(-,root,root,0755)
%doc COPYING HISTORY INSTALL README TODO FAQ colors
%{_bindir}/mm
%{_mandir}/man1/mm.1*
%{_mandir}/man1/mmail.1*




%changelog
* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 0.47-1mdv2008.1
+ Revision: 136589
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request


* Mon Jan 22 2007 Gustavo De Nardin <gustavodn@mandriva.com> 0.47-1mdv2007.0
+ Revision: 111977
- updated to bleeding edge version 0.47
- added colors docs and examples to package

* Sat Jul 23 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.43-6mdk
- Add conflict
- mkrel

* Mon Nov 01 2004 Michael Scherer <misc@mandrake.org> 0.43-5mdk 
- BuildRequires

* Mon Jun 07 2004 Michael Scherer <misc@mandrake.org> 0.43-4mdk 
- rebuild for new gcc

